<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具参数详情">
              <a-descriptions-item label="工具编号">{{ this.para == null || this.para.toolCode == null ? '' : this.para.toolCode  }}</a-descriptions-item>
              <a-descriptions-item label="序号">{{  this.para == null || this.para.signCode == null ? '' : this.para.signCode }}</a-descriptions-item>
              <a-descriptions-item label="中文名称">{{ this.para == null || this.para.chineseName == null ? '' : this.para.chineseName }}</a-descriptions-item>
              <a-descriptions-item label="外文名称">{{ this.para == null || this.para.foreignLanguageName == null ? '' : this.para.foreignLanguageName }}</a-descriptions-item>
              <a-descriptions-item label="标准级别">{{ this.para == null || this.para.standardLevel == null ? '' : this.para.standardLevel }}</a-descriptions-item>
              <a-descriptions-item label="标准号">{{ this.para == null || this.para.standardCode == null ? '' : this.para.standardCode }}</a-descriptions-item>
              <a-descriptions-item label="库位号">{{ this.para == null || this.para.positionCode == null ? '' : this.para.positionCode }}</a-descriptions-item>
              <a-descriptions-item label="型号/图号">{{ this.para == null || this.para.toolModel == null ? '' : this.para.toolModel }}</a-descriptions-item>
              
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ParaCommonToolList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },

}
</script>
<style lang="less" scoped>
</style>